[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# TCriticalSectionHandlerTryEnter

Function prototype for TryEnterCriticalsection

## Declaration

Source position: threadh.inc line 53

`type TCriticalSectionHandlerTryEnter = function(`
`var cs`
`):LongInt;`

## Description

TCriticalSectionHandlerTryEnter is the function prototype for the TryEnterCriticalsection function, in the TThreadManager record's TryEnterCriticalSection field.

## See also

TryEnterCriticalsection |  | Try entering a critical section
GetThreadManager |  | Return the current thread manager
TThreadManager |  | Thread manager record.